<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.bd</groupId>
        <artifactId>bd</artifactId>
        <version>2.0.0-SNAPSHOT</version>
    </parent>

    <artifactId>bd-third</artifactId>

    <description>
        bd-third三方服务中心
    </description>

    <dependencies>
        <!-- SpringCloud Alibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>

        <!-- SpringBoot Web -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!--spring cloud alibaba dubbo 依赖-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-dubbo</artifactId>
        </dependency>

        <!-- 三方服务接口 -->
        <dependency>
            <groupId>com.bd</groupId>
            <artifactId>bd-api-third</artifactId>
        </dependency>

        <!-- hzs Common Security-->
        <dependency>
            <groupId>com.bd</groupId>
            <artifactId>bd-common-security</artifactId>
        </dependency>

        <!-- hzs common core-->
        <dependency>
            <groupId>com.bd</groupId>
            <artifactId>bd-common-core</artifactId>
        </dependency>

        <!-- 销售服务接口 -->
        <dependency>
            <groupId>com.bd</groupId>
            <artifactId>bd-api-sale</artifactId>
        </dependency>

        <!-- 奖金服务接口-->
        <dependency>
            <groupId>com.bd</groupId>
            <artifactId>bd-api-bonus</artifactId>
        </dependency>

        <!-- 报表服务接口 -->
        <dependency>
            <groupId>com.bd</groupId>
            <artifactId>bd-api-report</artifactId>
        </dependency>

        <!-- rabbit mq -->
        <dependency>
            <groupId>org.springframework.amqp</groupId>
            <artifactId>spring-rabbit</artifactId>
        </dependency>

        <!-- apache common 校验工具包-->
        <dependency>
            <groupId>commons-validator</groupId>
            <artifactId>commons-validator</artifactId>
        </dependency>

        <!-- xxl-job -->
        <dependency>
            <groupId>com.xuxueli</groupId>
            <artifactId>xxl-job-core</artifactId>
        </dependency>

        <!-- 切面逻辑处理 -->
        <dependency>
            <groupId>com.bd</groupId>
            <artifactId>bd-common-aop</artifactId>
        </dependency>

        <!-- 业务服务公共 -->
        <dependency>
            <groupId>com.bd</groupId>
            <artifactId>bd-business-common</artifactId>
        </dependency>

        <!-- 阿里云短信 -->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>dysmsapi20170525</artifactId>
        </dependency>

        <!--        <dependency>-->
        <!--            <groupId>com.cfca</groupId>-->
        <!--            <artifactId>SADK</artifactId>-->
        <!--        </dependency>-->
        <!--        <dependency>-->
        <!--            <groupId>com.cfca</groupId>-->
        <!--            <artifactId>logback-cfca-jdk1.6</artifactId>-->
        <!--        </dependency>-->
        <!--        <dependency>-->
        <!--            <groupId>com.bill99</groupId>-->
        <!--            <artifactId>crypto-sdk</artifactId>-->
        <!--        </dependency>-->

        <!-- 汇付新SDK -->
        <dependency>
            <groupId>com.huifu.bspay.sdk</groupId>
            <artifactId>dg-java-sdk</artifactId>
        </dependency>

    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.3.12.RELEASE</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
